petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDSCreate

Creates an empty PetscDS object. The type can then be set with PetscDSSetType().

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCreate(MPI_Comm comm, PetscDS *prob)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the PetscDS object

### Output Parameter

prob -The PetscDS object

### See Also

PetscDSSetType(), PETSCDSBASIC

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages